import * as Contexts from '../contexts';
interface MediaGroupOptions {
    id: string;
    contexts: Contexts.MessageContext[];
}
/** This object represents a media group: a group of contexts with some attachments in it */
export declare class MediaGroup {
    private options;
    constructor(options: MediaGroupOptions);
    get [Symbol.toStringTag](): string;
    /** Returns media group's ID */
    get id(): string;
    /** Returns a list of contexts (constructed earlier) every single of which contains an attachment */
    get contexts(): Contexts.MessageContext[];
    /** Returns a list of attachments (mapped through `contexts`) */
    get attachments(): import("./attachments").Attachment[];
}
export {};
