import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { NodeMixin, SendMixin, TargetMixin, CloneMixin, PinsMixin, ChatInviteControlMixin } from './mixins';
interface MigrateFromChatIdContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class MigrateFromChatIdContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: MigrateFromChatIdContextOptions);
    /** Chat ID */
    get eventId(): number;
}
interface MigrateFromChatIdContext extends Constructor<MigrateFromChatIdContext>, Message, TargetMixin, SendMixin, NodeMixin, PinsMixin, ChatInviteControlMixin, CloneMixin<MigrateFromChatIdContext, MigrateFromChatIdContextOptions> {
}
export { MigrateFromChatIdContext };
