import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { ShippingQuery } from '../common/structures';
import { Context } from './context';
import { SendMixin, CloneMixin } from './mixins';
interface ShippingQueryContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramShippingQuery;
    updateId: number;
}
declare class ShippingQueryContext extends Context {
    payload: Interfaces.TelegramShippingQuery;
    constructor(options: ShippingQueryContextOptions);
}
interface ShippingQueryContext extends Constructor<ShippingQueryContext>, ShippingQuery, SendMixin, CloneMixin<ShippingQueryContext, ShippingQueryContextOptions> {
}
export { ShippingQueryContext };
